SoEngineList(3IV)

NAME
SoEngineList — maintains a list of pointers to engines

INHERITS FROM
SbPList > SoBaseList > SoEngineList

SYNOPSIS
#include <Inventor/SoLists.h>

Methods from class SoEngineList:

SoEngineList()

SoEngineList(int size)

SoEngineList(const SoEngineList &l)

~SoEngineList()
void
append(SoEngine *engine)
SoEngine *
operator [](int i) const
SoEngineList &
operator =(const SoEngineList &l)

Methods from class SoBaseList:

void
insert(SoBase *ptr, int addBefore)
void
remove(int which)
void
truncate(int start)
void
copy(const SoBaseList &l)
void
set(int i, SoBase *ptr)
void
addReferences(SbBool flag)

Methods from class SbPList:

int
find(const void *ptr) const
int
getLength() const
int
operator ==(const SbPList &pl) const
int
operator !=(const SbPList &pl) const

DESCRIPTION
This subclass of SoBaseList holds lists of pointers to SoEngines. It updates reference counts to engines in the list whenever adding or removing pointers.

METHODS

SoEngineList()
Constructor.

SoEngineList(int size)
Constructor that pre-allocates storage for size pointers.

SoEngineList(const SoEngineList &l)
Constructor that copies the contents of another list.

~SoEngineList()
Destructor.

void
append(SoEngine *engine)
Adds an engine to the end of the list.

SoEngine *
operator [](int i) const
Accesses an element of a list.

SoEngineList &
operator =(const SoEngineList &l)
Copies a list, keeping all reference counts correct.

SEE ALSO
SoEngine